﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    WinJS.Binding.optimizeBindingReferences = true;

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                performInitialSetup(args);
            }
            else {
            }
            args.setPromise(WinJS.UI.processAll());
        }
    };
    function performInitialSetup(args) {
        WinJS.Binding.processAll(
            document.getElementById('contactDetail'),
            ViewModel.ContactList.getAt(0));
        var updateContactButton = document.getElementById('editContact');
        updateContactButton.addEventListener('click', function (e) {
            var contact = ViewModel.ContactList.getAt(0);
            contact.firstName += "s";
            contact.lastName += "t";
            contact.age += 1;
            var msg = new Windows.UI.Popups
            .MessageDialog("The value of the contact is this:\r\n"
                           + "First Name: " + contact.firstName + "\r\n"
                           + "Last Name: " + contact.lastName + "\r\n"
                           + "Age: " + contact.age);
            msg.showAsync();
        });
        var addContactButton = document.getElementById('addContact');
        addContactButton.addEventListener('click', function (e) {
            ViewModel.addContact("First", "Last", 24);
        });
    };
    app.oncheckpoint = function (args) {
    };

    app.start();
})();